<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
use HDProject;
class UpdateNotificationTemplateEvent extends Event implements ProjectEventInterface
{
    
    
    
    
    private $project;
    
    
    
    
    private $template_id;
    
    
    
    
    private $old_properties;
    
    
    
    
    private $new_properties;
    public function __construct(HDProject $project, int $_a464f562f978d5d019673b9535c6e8ca, ?array $_961429b7062f10a9ffbb383ced160576, ?array $_dc877c9ef71fd8b1b787ba0f8795cb04)
    {
        $this->project = $project;
        $this->template_id = $_a464f562f978d5d019673b9535c6e8ca;
        $this->old_properties = $_961429b7062f10a9ffbb383ced160576;
        $this->new_properties = $_dc877c9ef71fd8b1b787ba0f8795cb04;
    }
    
    
    
    
    public function getProject() : HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getTemplateId() : int
    {
        return $this->template_id;
    }
    
    
    
    
    public function getOldProperties() : ?array
    {
        return $this->old_properties;
    }
    
    
    
    
    public function getNewProperties() : ?array
    {
        return $this->new_properties;
    }
}